# Method: hashLists.list

- [HTTP request](https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashLists/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashLists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashLists/list#body.request_body)
- [Response body](https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashLists/list#body.ListHashListsResponse.SCHEMA_REPRESENTATION)

Lists hash lists.

In the V5 API, Google will never remove a hash list that has ever been returned by this method. This enables clients to skip using this method and simply hard-code all hash lists they need.

This is a standard List method as defined by <https://google.aip.dev/132> and the HTTP method is GET.

### HTTP request

`GET https://safebrowsing.googleapis.com/v5alpha1/hashLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of hash lists to return. The service may return fewer than this value. If unspecified, the server will choose a page size, which may be larger than the number of hash lists so that pagination is not necessary. |
| `pageToken` | `string` A page token, received from a previous `hashLists.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

The response containing metadata about hash lists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hashLists": [ { object (`https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashList#HashList`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `hashLists[]` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v5alpha1/hashList#HashList`)`` The hash lists in an arbitrary order. Only metadata about the hash lists will be included, not the contents. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |